package de.firstdata.ipg.api.client.action.object;

import de.firstdata.ipg.api.client.action.DeletePaymentURL;

/**
 * This class represents an object which is used for delete a paymentUrl
 *
 * @author F4HCSR1
 */
public class DeletePaymentURLObject extends IPGAPIActionObject implements DeletePaymentURL {

	/**
	 * Making a DeletepaymentUrlObject with a valid store and ipgTransactionID
	 *
	 * @param storeID
	 * @param ipgTransactionID
	 */
	public DeletePaymentURLObject(final String storeID, final Long ipgTransactionID) {
		this.deletePaymentURL = getDeletePaymentURL();
		this.deletePaymentURL.setStoreId(storeID);
		this.deletePaymentURL.setIpgTransactionId(ipgTransactionID);
	}

	/**
	 * Making a DeletepaymentUrlObject with a valid store and paymentUrlID
	 *
	 * @param storeID
	 * @param paymentUrlID
	 */
	public DeletePaymentURLObject(final String storeID, final String paymentUrlID) {
		this.deletePaymentURL = getDeletePaymentURL();
		this.deletePaymentURL.setStoreId(storeID);
		this.deletePaymentURL.setPaymentUrlID(paymentUrlID);
	}

	/**
	 * Making a DeletepaymentUrlObject with a valid orderID and transactionTime
	 *
	 * @param storeID
	 * @param transactionTime
	 */
	public DeletePaymentURLObject(final String storeID, final String orderID, final String transactionTime) {
		this.deletePaymentURL = getDeletePaymentURL();
		this.deletePaymentURL.setStoreId(storeID);
		this.deletePaymentURL.setOrderId(orderID);
		this.deletePaymentURL.setTDate(transactionTime);
	}

	@Override
	public void setStoreId(final String storeID) {
		this.deletePaymentURL.setStoreId(storeID);
	}

	@Override
	public de.firstdata.ipg.api.schema.DeletePaymentURL getDeletePaymentURL() {
		if (this.deletePaymentURL == null) {
			this.deletePaymentURL = new de.firstdata.ipg.api.schema.DeletePaymentURL();
		}
		return this.deletePaymentURL;
	}
}
