package de.firstdata.ipg.api.client.action.object;

import javax.annotation.Nonnull;

import de.firstdata.ipg.api.client.action.ExportPaymentURL;

/**
 * This class is used to set value from request for paymentUrl export action
 *
 * @author F4HCSR1
 */
public class ExportPaymentURLObject extends IPGAPIActionObject implements ExportPaymentURL {

	/**
	 * Making a ExportPaymentUrlObject with a valid store, orderID,
	 * startDatetime, endDateTime, merchantTransactionId
	 *
	 * @param storeID
	 * @param orderID
	 * @param startDateTime
	 * @param endDateTime
	 * @param merchantTransactionID
	 */
	public ExportPaymentURLObject(@Nonnull final String storeID, final String orderID, @Nonnull final String startDateTime, @Nonnull final String endDateTime,
			final String merchantTransactionID) {
		this.exportPaymentURL = getExportPaymentURL();
		this.exportPaymentURL.setStoreId(storeID);
		this.exportPaymentURL.setOrderId(orderID);
		this.exportPaymentURL.setFromDate(startDateTime);
		this.exportPaymentURL.setToDate(endDateTime);
		this.exportPaymentURL.setMerchantTransactionId(merchantTransactionID);
	}

	@Override
	public void setStoreId(final String storeID) {
		this.exportPaymentURL.setStoreId(storeID);
	}

	@Override
	public de.firstdata.ipg.api.schema.ExportPaymentURL getExportPaymentURL() {
		if (this.exportPaymentURL == null) {
			this.exportPaymentURL = new de.firstdata.ipg.api.schema.ExportPaymentURL();
		}
		return this.exportPaymentURL;
	}
}
