package de.firstdata.ipg.api.client.exception;

import de.firstdata.ipg.api.client.IPGApiClient;

/**
 * <code>ClientException</code> is the super class of all client exception
 * classes. An instance of this class is thrown whenever finding problems in
 * building the infrastucture for using the {@link IPGApiClient} and assembling
 * transactions to be committed.
 * 
 * @author Andreas Schmid
 * 
 */
public class ClientException extends Exception {

	private static final long serialVersionUID = 1L;

	/**
	 * creates an instance of this class taking an error description as argument
	 * 
	 * @param message
	 *            a string describing the error
	 */
	public ClientException(final String message) {
		super(message);
	}
	
	public ClientException(final String message, final Exception exception) {
		super(message, exception);
	}
}
