package de.firstdata.ipg.api.client.subsequenttransaction.object;

import de.firstdata.ipg.api.client.subsequenttransaction.ReturnSubsequentTransaction;
import de.firstdata.ipg.api.client.transaction.Amount;
import de.firstdata.ipg.api.schema.SubsequentTransactionType;

public class ReturnSubsequentTransactionObject extends IPGApiSubsequentTransactionObject implements ReturnSubsequentTransaction {

	protected ReturnSubsequentTransactionObject(final Amount amount) {
		super(amount, SubsequentTransactionType.RETURN);
	}

	public ReturnSubsequentTransactionObject(final Amount amount, final String orderId, final String tDate) {
		this(amount);
		this.setOrderId(orderId);
		this.setTDate(tDate);
	}

	public ReturnSubsequentTransactionObject(final Amount amount, final Long ipgTransactionId) {
		this(amount);
		this.setIpgTransactionId(ipgTransactionId);
	}

	public ReturnSubsequentTransactionObject(final Amount amount, final String referencedMerchantTransactionId) {
		this(amount);
		this.setReferencedMerchantTransactionId(referencedMerchantTransactionId);
	}
}
