package de.firstdata.ipg.api.client.transaction.creditcard.setter;

import de.firstdata.ipg.api.schema.SecurePlusVerifySmsCodeRequest;

public interface UpopSecurePlusSetter {

	/**
	 * setters for VCODE from UPOP request
	 *
	 * @param value
	 */
	void setVCode(final String value);

	/**
	 * setters for response code value from UPOP Send-SMS response
	 *
	 * @param value
	 */
	void setResponseCode(final String value);

	/**
	 * setters for activate Status from UPOP Verify-Enrollment response
	 *
	 * @param value
	 */
	void setActivateStatus(final String value);

	/**
	 * setter to verify SMS code by SecurePlus via UPOP request
	 */
	void setVerifySmsCodeRequest(final SecurePlusVerifySmsCodeRequest securePlusVerifySmsCodeRequest);

	/**
	 * setter to start authentication by sending a SMS to the card holder via
	 * UPOP request
	 */
	void setAuthenticateUpopTransaction(final Boolean value);
}
