package de.firstdata.ipg.api.client.transaction.cupdomestic.object;

import de.firstdata.ipg.api.client.transaction.Amount;
import de.firstdata.ipg.api.client.transaction.object.IPGApiTransactionObject;
import de.firstdata.ipg.api.schema.CUPDomesticInformation;
import de.firstdata.ipg.api.schema.CUPDomesticTxType;

public abstract class CUPDomesticTransactionObject extends IPGApiTransactionObject {

	private static final long serialVersionUID = 1L;

	protected CUPDomesticTransactionObject(final Amount amount, final String orderId) {
		super(amount, null, null, orderId);
		getCUPDomesticTxType().setType(getType());
	}

	@Override
	public void setStoreId(final String storeId) {
		getCUPDomesticTxType().setStoreId(storeId);
	}

	@Override
	public CUPDomesticInformation getCUPDomesticInformation() {
		if (this.cupDomesticInformation == null) {
			this.cupDomesticInformation = new CUPDomesticInformation();
		}
		return this.cupDomesticInformation;
	}

	@Override
	public CUPDomesticTxType getCUPDomesticTxType() {
		if (this.cupDomesticTxType == null) {
			this.cupDomesticTxType = new CUPDomesticTxType();
		}
		return this.cupDomesticTxType;
	}
}
