package de.firstdata.ipg.api.client.transaction.ideal.object;

import de.firstdata.ipg.api.client.transaction.Amount;
import de.firstdata.ipg.api.client.transaction.object.IPGApiTransactionObject;
import de.firstdata.ipg.api.schema.IdealTxType;

/**
 * A common wrapper for Ideal transaction object
 *
 * @author Nikhil Jasani
 *
 */
public abstract class IdealTransactionObject extends IPGApiTransactionObject {

	protected IdealTransactionObject(final Amount amount, final String orderId, final String type) {
		super(amount, null, null, orderId);
		getIdealTxType().setType(type);
	}

	@Override
	public void setStoreId(final String value) {
		getIdealTxType().setStoreId(value);
	}

	@Override
	public String getType() {
		return getIdealTxType().getType();
	}

	@Override
	public IdealTxType getIdealTxType() {
		if (this.idealTxType == null) {
			this.idealTxType = new IdealTxType();
		}
		return this.idealTxType;
	}
}
