package de.firstdata.ipg.api.client.transaction.wechat.object;

import de.firstdata.ipg.api.client.transaction.Amount;
import de.firstdata.ipg.api.client.transaction.object.IPGApiTransactionObject;
import de.firstdata.ipg.api.schema.WeChatDomesticInformation;
import de.firstdata.ipg.api.schema.WeChatTxType;

public abstract class WeChatTransactionObject extends IPGApiTransactionObject {

	private static final long serialVersionUID = 1L;

	protected WeChatTransactionObject(final Amount amount, final String orderId) {
		super(amount, null, null, orderId);
		getWeChatTxType().setType(getType());
	}

	@Override
	public void setStoreId(final String storeId) {
		getWeChatTxType().setStoreId(storeId);
	}

	@Override
	public WeChatDomesticInformation getWeChatDomesticInformation() {
		if (this.weChatDomesticInformation == null) {
			this.weChatDomesticInformation = new WeChatDomesticInformation();
		}
		return this.weChatDomesticInformation;
	}

	@Override
	public WeChatTxType getWeChatTxType() {
		if (this.weChatTxType == null) {
			this.weChatTxType = new WeChatTxType();
		}
		return this.weChatTxType;
	}
}
